| GET | /RestApi/captcha |
|---|
export class CaptchaRequest
{
public constructor(init?: Partial<CaptchaRequest>) { (Object as any).assign(this, init); }
}
export class CaptchaResponse
{
public Image: string;
public CorrectAnswer: string;
public InitializationVector: string;
public Key: string;
public Audio: string;
public constructor(init?: Partial<CaptchaResponse>) { (Object as any).assign(this, init); }
}
TypeScript CaptchaRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/captcha HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Image: String,
CorrectAnswer: String,
InitializationVector: String,
Key: String,
Audio: String
}